# crqa

经济学、医学、地球物理学和天文学。复发量化分析(RQA)


## Usage
```
install.packages("crqa")#安装程辑包
library("crqa")#加载
data = read.csv("Data.csv")#读取时间序列数据
time_series = data$NEWSST#时间序列值
timestamps = data$timestamp5#时间戳
aaa <- as.integer(time_series)#处理成整数#numeric是保留小数
delay = 1; embed = 1; rescale = 0; radius = 0.0001;
normalize = 0; mindiagline = 2; minvertline = 2;
tw = 1; whiteline = FALSE; recpt = FALSE; 
side = "both"; method = 'rqa'; metric = 'euclidean';  
datatype = "categorical"
ans = crqa(aaa, aaa, delay, embed, rescale, radius, normalize, 
           mindiagline, minvertline, tw, whiteline, recpt, side, method, metric, 
           datatype)
str(ans)
RP <- ans$RP
parC <- list(unit = 10, labelx = "Time", labely = "Time", cols = "black", pcex = .5,
             pch = 15, las = 0, labax = seq(0, nrow(RP), 10),
             labay = seq(0, nrow(RP), 10))
plot_rp(RP, parC)
```

## Reference

- [morenococo/crqa](https://github.com/morenococo/crqa)
- [crqa文档](https://cran.r-project.org/web/packages/crqa/index.html)
- [matlab rqa递归分析]()